org.apache.cassandra.io.util

## Interface IIterableColumns

- All Superinterfaces:
    java.lang.Iterable<IColumn>
  All Known Subinterfaces:
    ISortedColumns
  All Known Implementing Classes:
    AbstractColumnContainer, AbstractThreadUnsafeSortedColumns, ArrayBackedSortedColumns, AtomicSortedColumns, ColumnFamily, SuperColumn, ThreadSafeSortedColumns, TreeMapBackedSortedColumns

      public interface IIterableColumns
      extends java.lang.Iterable<IColumn>

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractType<?>` | `getComparator()`
    `int` | `getEstimatedColumnCount()`

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### getEstimatedColumnCount

          int getEstimatedColumnCount()

    - #### getComparator

          AbstractType<?> getComparator()

Copyright © 2014 The Apache Software Foundation